<?php
require("../clases/Proyecto.class.php");
require("../clases/Desembolso.class.php");
$obj = new Proyecto();
$objd = new Desembolso();

$t = $_REQUEST["text"];  // R = Registrar, M = Modificar

// =========================================================
//  REGISTRAR PROYECTO
// =========================================================
if($t == "R"){

    $nombre     = strtoupper($_REQUEST["nombre"]);
    $finicio    = $_REQUEST["finicio"];
    $ffinal     = $_REQUEST["ffinal"];
    $costo      = $_REQUEST["costo"];
    $estado     = $_REQUEST["estado"]; // ACTIVO, EN PROCESO, FINALIZADO

    if($obj->Crear($nombre, $finicio, $ffinal, $costo, $estado)){
        echo "<script language='javascript'>
                location.href='../manproyecto.php';
              </script>";
    }else{
        echo "No se pudo registrar el proyecto";
    }
}



// =========================================================
//  MODIFICAR PROYECTO
// =========================================================
if($t == "M"){

    $idproyecto = $_REQUEST["idproyecto"];
    $nombre     = strtoupper($_REQUEST["nombre"]);
    $finicio    = $_REQUEST["finicio"];
    $ffinal     = $_REQUEST["ffinal"];
    $costo      = $_REQUEST["costo"];
    $estado     = $_REQUEST["estado"];

    if($obj->Actualizar($idproyecto, $nombre, $finicio, $ffinal, $costo, $estado)){
        echo "<script language='javascript'>
                location.href='../manproyecto.php';
              </script>";
    }else{
        echo "No se pudo actualizar el proyecto";
    }
}

// =========================================================
//  MODIFICAR PROYECTO
// =========================================================
if($t == "E"){

    $idproyecto = $_REQUEST["id"];
    $lista = $objd->ListarPorProyecto($idproyecto);
    if(count($lista)>0)
    {
       echo "<script language='javascript'>
                alert('no se puede eliminar este proyecto por que tiene desembolsos asociados');location.href='../manproyecto.php';
              </script>"; 
        
    }else{

            if($obj->Eliminar($idproyecto)){
                echo "<script language='javascript'>
                        location.href='../manproyecto.php';
                      </script>";
            }else{
                echo "No se pudo actualizar el proyecto";
            }
         }
}

?>
